Bug 171106 - XKB - Keyboard Layout Error ( 60802000)
XKB - Keyboard Layout Error ( 60802000)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
https://bugs.freedesktop.org/show_bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 05:42 EDT by sledz41
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 07:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sledz41 2005-10-18 05:42:16 EDT
Description of problem:

Error activating XKB configuration.
It can happen under various circumstances:
- a but in libxklavier library
- a but in X server (xkbcomp,xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X Org Foundation
60802000

If you report this situation as a bug, please include:
- The result of <b>xprop -root | grep XKB</b>
- The result of <b>gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd</b>

_________________________________________________________
Result of xprop -root | grep XKB, Below
_________________________________________________________
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us", "", ""
_________________________________________________________
Result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd, Below
_________________________________________________________
 layouts = [us,pl2,mk   pc104]
 model = pc104
 overrideSettings = false
 options = [grp grp:alts_toggle]


----
Ok, i'm using Fedora Core 4 and i was trying to install two keyboard layouts 1 
Macedonian and another Polish.

Version-Release number of selected component (if applicable):


How reproducible:

This was done by simply trying to add both Polish and Macedonian keyboard 
layouts. From the Desktop -> Preferences -> Keyboard
From the Menu located in X windows (GNOME)

Actual results:
Error above

Expected results:
Accepted Keyboard layout with out errors

Additional info:
Comment 1 sledz41 2005-10-18 05:44:00 EDT
Version number, I installed from the available Fedora Core 4 Distribution CD's.
Comment 2 Mike A. Harris 2005-10-19 04:24:41 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 sledz41 2005-10-20 01:51:42 EDT
I have found someone else has reported the same bug as me there bug URL is 
https://bugs.freedesktop.org/show_bug.cgi?id=4680
Comment 4 Christopher Brown 2005-12-03 11:32:24 EST
I am also seing this after having attached a new keyboard and attempting to
define the layout under Desktop>Preferences>Keyboard.

--output starts--

[chris@mtemi ~]$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "gb", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "logiink", "gb", "", "grp:alts_toggle"

--output ends--

- The result of <b>gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd</b>

--output starts--

[chris@mtemi ~]$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = []
 model = logiik
 overrideSettings = false
 options = [grp grp:alts_toggle]

-- output ends--

Running FC4 with 2.6.14-1.1644_FC4 and xorg:

xorg-x11-libs-6.8.2-37.FC4.49.2
xorg-x11-deprecated-libs-6.8.2-37.FC4.49.2
fonts-xorg-75dpi-6.8.2-1
xorg-x11-Mesa-libGLU-6.8.2-37.FC4.49.2
xorg-x11-tools-6.8.2-37.FC4.49.2
fonts-xorg-base-6.8.2-1
xorg-x11-Mesa-libGL-6.8.2-37.FC4.49.2
xorg-x11-font-utils-6.8.2-37.FC4.49.2
xorg-x11-6.8.2-37.FC4.49.2
xorg-x11-deprecated-libs-devel-6.8.2-37.FC4.49.2
xorg-x11-xfs-6.8.2-37.FC4.49.2
fonts-xorg-100dpi-6.8.2-1
xorg-x11-xauth-6.8.2-37.FC4.49.2
xorg-x11-devel-6.8.2-37.FC4.49.2
xorg-x11-twm-6.8.2-37.FC4.49.2

Regards
Chris
Comment 5 Mike A. Harris 2006-03-07 07:00:47 EST
Thanks, tracking upstream bug report:

https://bugs.freedesktop.org/show_bug.cgi?id=4680

Note You need to log in before you can comment on or make changes to this bug.